coverage:clang10-mpi-coverage:
  image: localhost:5000/ubuntu_clang10_mpi
  stage: coverage
  script:
    - mkdir -p build/clang10-cov-mpi
    - cd build/clang10-cov-mpi
    - CXX=clang++-10 CC=clang-10 cmake ../.. -DCMAKE_BUILD_TYPE=Coverage -DCLANG_FORMAT=/usr/bin/clang-format-10
    - make pugs
    - make coverage
  cache:
    key: "${CI_COMMIT_REF_SLUG}-clang10-cov-mpi"
    paths:
      - build/clang10-cov-mpi
    untracked: true
